#!/bin/sh

PERL5OPT='-I.'
export PERL5OPT

# rd2 -r rd/rd2man-lib.rb  -o foo foo.rd
rd2 -r rd/rd2html-lib.rb -o foo foo.rd

cp -a foo.pot foo.pot.bak
po4a-gettextize -f rd -m foo.rd \
  --msgid-bugs-address invernomuto@paranoici.org \
  --copyright-holder "Francesco Poli" \
  --package-name foobarpkg --package-version 0.1 \
  -p foo.pot

if test -r doc_foo.it.po
then
    cp -a doc_foo.it.po doc_foo.it.po.bak
    po4a-updatepo -f rd -m foo.rd -p doc_foo.it.po
else
    cp -a foo.pot doc_foo.it.po
fi
vim doc_foo.it.po

cp -a it/foo.rd it/foo.rd.bak
po4a-translate -f rd -m foo.rd -p doc_foo.it.po -l it/foo.rd
# rd2 -r rd/rd2man-lib.rb  -o it/foo it/foo.rd
rd2 -r rd/rd2html-lib.rb -o it/foo it/foo.rd



# rd2 -r rd/rd2man-lib.rb  -o bar bar.rd
rd2 -r rd/rd2html-lib.rb -o bar bar.rd

cp -a bar.pot bar.pot.bak
po4a-gettextize -f rd -o puredoc -m bar.rd \
  --msgid-bugs-address invernomuto@paranoici.org \
  --copyright-holder "Francesco Poli" \
  --package-name foobarpkg --package-version 0.1 \
  -p bar.pot

if test -r doc_bar.it.po
then
    cp -a doc_bar.it.po doc_bar.it.po.bak
    po4a-updatepo -f rd -o puredoc -m bar.rd -p doc_bar.it.po
else
    cp -a bar.pot doc_bar.it.po
fi
vim doc_bar.it.po

cp -a it/bar.rd it/bar.rd.bak
po4a-translate -f rd -o puredoc -m bar.rd -p doc_bar.it.po -l it/bar.rd
# rd2 -r rd/rd2man-lib.rb  -o it/bar it/bar.rd
rd2 -r rd/rd2html-lib.rb -o it/bar it/bar.rd
